/*!
 * NONE
 */

.x-simple-style.x-split-details.x-epic-style .x-grid3-header,
.x-simple-style.x-split-details.x-epic-style .x-grid3-hd-inner {
    background-color: var(--color-blue-light) !important;
    color: var(--color-gray-80) !important;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: 8px 8px 0px 0px;
}

.x-simple-style.x-split-details.x-epic-style .x-grid3-header .x-grid3-hd-inner:hover  {
    background-color: var(--color-blue-light-hover) !important;
}
.x-simple-style.x-split-details.x-epic-style .x-grid3-header{
    border: 1px solid white;
}

.x-grid3-viewport{
    box-shadow: 0px 0px 24px 0px #001D721A;
}

.x-simple-style.x-split-details .x-panel.timelineview .x-panel-body,
.x-simple-style.x-split-details .x-panel.changelog .x-panel-body,
.x-simple-style.x-split-details #informationboardpanel .informationboardpanel .x-panel-body,
.x-simple-style.x-split-details .x-panel.x-grid-panel .abstract-grid {
    padding-left: 16px;
    padding-right: 16px;
}

.x-simple-style .x-grid3-summary-row,
.x-grid3-gridsummary-row-inner{
    background-color: var(--color-gray-05) !important;
}
.x-grid3-gridsummary-row-inner{
    border-left: 1px solid white !important;
}

.x-grid3-summary-row{
    padding: 6px;
}

.xg3ci,
.x-simple-style .x-grid3-hd-inner,
.x-grid3-body .x-grid3-td-checkBox .xg3ci,
.x-grid3-body .x-grid3-td-numberer .xg3ci {
    padding-top: 12px !important;
    padding-bottom: 11px !important;
}

.x-grid3-td-description_full .xg3ci {
    padding-top: 7px !important;
    padding-bottom: 6px !important;
}

.x-grid3-body .x-coloured-status .xg3ci{
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

.x-grid3-cell-overflowed.xg3ci,
.x-grid3-body .x-grid3-cell-overflowed.xg3ci {
    padding-top: 10px !important;
    padding-bottom: 8px !important;
}

.x-simple-style.x-epic-style .x-grid3 .x-grid-editor input{
    padding-left: 4px !important;
    font-size: 14px !important;
    border-radius: 8px;
}
.x-invalid-grid3-cell-inner, .x-invalid-grid3-cell div.xg3ci,
.editorGridField {
    padding-top: 12px !important;
}

.x-invalid-grid3-cell-inner,
.x-simple-style .x-invalid-grid3-cell div.xg3ci {
    border: 1px solid var(--color-red) !important;
    border-radius: 8px;
}


.x-grid3-summary-table .xg3ci {
    padding-top: 6px !important;
    padding-bottom: 5px !important;
}

.x-grid3-check-xcol,
tr.x-grid3-hd-row .x-grid3-check-xcol,
tr:hover .x-grid3-check-xcol, tr.x-grid3-hd-row .x-grid3-check-xcol{
    background-image: url(images/checkboxoff.svg);
    background-position: 0px 0px !important;
}
.x-grid3-check-xcol-on,
tr.x-grid3-hd-row .x-grid3-check-xcol-on,
tr:hover .x-grid3-check-on, tr.x-grid3-hd-row .x-grid3-check-on{
    background-image: url(images/checkboxon.svg);
    background-position: 0px 0px !important;
}

.x-grid3-row,
.x-simple-style .ux-table-grid .xg3c{
    border-color: var(--color-blue-light);
    height: 40px;
}

.x-grid3-hd-btn {
    height: 40px !important;
}

.hasCheckboxColumn .x-grid3-body .x-grid3-td-numberer,
.hasCheckboxColumn .x-grid3-hd-row td.x-grid3-td-numberer {
    border-right: 1px solid transparent;
}

.x-grid3-hd-btn{
    background-image: url(images/content/dropdown.svg);
    background-position: center !important;
}
a.x-grid3-hd-btn:hover {
    background-position: center !important;
    background-color: var(--color-blue-menu-active) !important;
}

.x-grid3-body{
    position: relative;
}

.x-grid3-body .x-grid-empty{
    margin-top: 10%;
}

.x-details-panel .x-grid3-body .x-grid-empty,
#dashboard .x-grid3-body .x-grid-empty,
#dashboard .x-grid3-body .x-grid-empty{
    margin-top: 0%;
}

.x-grid-empty .big-icon{
    margin-top: 20px;
}


.x-grid-empty .big-icon{
    background-image: url(images/content/nodata.svg);
    background-size: auto;
    width: 180px;
    height: 155px;
    background-repeat: no-repeat;
}
.x-grid3-empty .x-grid3-scroller{
    display: flex;
    flex-direction: column;
}
#timelineview .x-grid-empty,
#informationboardpanel .x-grid-empty,
#changelogview .x-grid-empty{
    margin-top: 10%;
}

.x-grid3-empty .x-grid3-gridsummary-row-inner{
    display: none;
}

.x-grid-empty-text{
    font-size: 24px;
    font-weight: 600;
    color: var(--color-gray-80);
}

.x-grid-empty-button {
    border-radius: 30px;
    background-color: white;
    border: 1px solid var(--color-gray-10);
    font-size: 14px;
    height: 20px;
    padding: 4px 15px 10px 10px;
    color: var(--color-gray-80);
}
.x-grid-empty-button div.icon-add,
.x-grid-empty-button div{
    background-repeat: no-repeat !important;
    background-position: 2px 2px !important;
    background-size: auto !important;

}
.x-grid-empty-button div.icon-add{
    background-image: url(images/add-black.svg) !important;
}
.x-grid-empty-button.x-change-filters{
    background-color: var(--color-blue);
    color: white;
    padding-left:15px;
}

.x-grid-empty-button .filter-floating-icon{
    background-image: url(images/filters-white.svg) !important;
}

.x-grid-empty-container{
    gap: 2%;
}

.icon-tick-14,
.boolean-correct {
    background-image: url(images/checkboxyes.svg) !important;
    background-position: 0 0 !important;
}
.icon-cross-14,
.boolean-notcorrect {
    background-image: url(images/checkboxno.svg) !important;
    background-position: 0 0 !important;
}

.icon-tick-14,
.icon-cross-14{
    background-size: 14px !important;
}

.x-daysOverdue{
    display: inline-block;
    background-color: var(--color-red-light);
    color: white;
    border-radius: 4px;
    padding: 3px;
    padding-bottom: 2px;
    padding-left: 20px;
    margin-top: -2px;
    margin-bottom: -2px;
    margin-left: 3px;
    background-image: url(images/content/overdue.svg);
    background-size: auto;
    background-position: 4px 4px;
    background-repeat: no-repeat;
    font-size: 12px;
    font-weight: 600;
}

/* Toolbar and filters */


body.x-epic-style .x-top-filters.x-grid-panel .x-panel-tbar {
    padding-bottom: 62px;
    height: 40px;
}

.x-simpleLook.x-split-details:not(.x-helix) #contentContainer .x-htoolbar.x-toolbar {
    height: 64px;
    padding-left: 14px;
    padding-right: 8px;
}

.x-simpleLook.x-split-details:not(.x-helix) #contentContainer .x-htoolbar.x-toolbar .x-toolbar-ct{
    border-bottom: 1px solid var(--color-gray-10) !important;
    padding-bottom: 0px;
    height: 64px;
}

.x-epic-style .x-top-filters-leave-space.x-top-filters-container {
    top: 70px;
    height: 34px;
}

.x-epic-style .x-all-top-filters,
.date-range-menu .dateToField,
.date-range-menu .dateFromField,
.x-oneValue-filter-field .x-form-field,
#contentContainer .x-top-filters-container .x-form-item input.x-form-text,
#contentContainer .x-top-filters-container .date-filter-btn {
    padding-top: 6px !important;
    padding-bottom: 4px !important;
    padding-left: 8px;
    padding-right: 8px;
    border-radius: 8px;
    background-color: var(--color-white) !important;
    border: 1px solid var(--color-gray-10);
    color: var(--color-blue-80);
}
#contentContainer .x-top-filters-container .date-filter-btn{
    padding-right: 22px;
}

.x-epic-style .x-all-top-filters:hover,
.x-epic-style .x-all-top-filters:focus-within,
.date-range-menu:not(.is-odd-select) .dateToField:hover,
.date-range-menu:not(.is-odd-select) .dateToField:focus-within,
.date-range-menu.is-odd-select .dateFromField:hover,
.date-range-menu.is-odd-select .dateFromField:focus-within,
.x-oneValue-filter-field .x-form-field:hover,
.x-oneValue-filter-field .x-form-field:focus-within,
#contentContainer .x-top-filters-container .x-form-item input.x-form-text:hover,
#contentContainer .x-top-filters-container .x-form-item input.x-form-text:focus-within,
#contentContainer .x-top-filters-container .date-filter-btn:hover,
#contentContainer .x-top-filters-container .date-filter-btn:focus-within {
    border: 1px solid var(--color-blue-40) !important;
}


.x-epic-style .x-top-filter-clear,
.x-epic-style .x-has-filters .x-all-top-filters,
.x-has-value-container .date-range-menu:not(.is-odd-select) .dateToField,
.x-has-value-container .date-range-menu.is-odd-select .dateFromField,
.x-has-value-container.x-oneValue-filter-field .x-form-field,
#contentContainer .x-top-filters-container .x-form-item .x-has-value-container input.x-form-text,
#contentContainer .x-top-filters-container .x-has-value-container .date-filter-btn {
    border: 1px solid var(--color-blue-40) !important;
    background-color: var(--color-blue-light) !important;
}

.x-top-filters-container .x-form-item .x-has-value-container .top-filter-clear{
    background-color: var(--color-blue-light) !important;
}

.x-epic-style .x-all-top-filters{
    padding-left: 6px;
    padding-right: 5px;
}

.x-epic-style .x-has-filters .x-all-top-filters{
    border-radius: 8px 0px 0px 8px  !important;
    border-right: 0px !important;
    margin-right: 0px;
}

.x-epic-style .x-top-filter-clear{
    height: 32px;
    width: 28px;
}

#contentContainer .x-top-filters-container .date-filter .filter-clear-icon,
.x-filter-window-fields-filter .filter-clear-icon,
.x-top-filters-container .x-form-item .x-form-element .filter-clear-icon{
    -webkit-mask-image: url(images/content/expand.svg);
    mask-image: url(images/content/expand.svg);
    background-color: var(--color-gray-40) !important;
    mask-position: 1px 3px;
}

.x-top-filters-container .x-form-item .top-filter-clear {
    right: -3px !important;
    top: 5px !important;
}
.x-top-filters-container .x-form-item .x-has-value-container .top-filter-clear {
    right: 2px !important;
}

.x-form-button-date-clear,
.x-filter-window-fields-filter .filter-clear-icon,
#contentContainer .x-top-filters-container .date-filter.x-has-value-container .filter-clear-icon,
.x-top-filters-container .x-form-item .x-form-element.x-has-value-container .filter-clear-icon{
    -webkit-mask-image: url(images/content/close.svg);
    mask-image: url(images/content/close.svg);
    mask-position: 0px 0px;
    background-size: auto !important;
    mask-size: 18px !important;
    background-color: var(--color-blue-80) !important;
}

.x-top-filters-container .x-top-filter-clear .x-btn-small .x-btn-text.filter-clear-icon {
    mask-position: 2px 4px;
    height: 22px;
}

.x-top-filters-container .x-btn-text-icon .x-btn-icon-small-left .x-btn-text.icon-all-filters{
    color: var(--color-gray-80) !important;
}
.x-top-filters-container.x-has-filters .x-btn-text-icon .x-btn-icon-small-left .x-btn-text.icon-all-filters{
    color: var(--color-blue-80) !important;
}

.x-oneValue-filter-field .x-form-field,
#contentContainer .x-top-filters-container .date-filter-btn span,
#contentContainer .x-top-filters-container input::placeholder{
    color: var(--color-gray-40);
    font-weight: 400 !important;
    line-height: 1 !important;
}
.x-oneValue-filter-field .x-form-field{
    color: var(--color-gray-80);
}

.x-top-filters-container .x-btn-icon{
    border-radius: 0px 8px 8px 0px !important;
}



#contentContainer .x-top-filters-container .icon-all-filters {
    background-position: 2px 2px !important;
    background-size: 16px !important;
    background-image: url(images/content/filter.svg) !important;
}

#contentContainer .x-top-filters-container.x-has-filters .icon-all-filters {
    background-image: url(images/content/filter_active.svg) !important;
}

.x-top-filters-container .x-btn-text-icon .x-btn-icon-small-left .x-btn-text.icon-all-filters span,
.x-oneValue-filter-field .x-form-field,
.x-top-filters-container input.x-form-field,
.x-top-filters-container .x-form-item button span {
    font-size: 13px !important;
    font-weight: 500 !important;
}


.x-epic-style .x-top-filters-container .x-form-item{
    margin-right: 6px;
}
.x-epic-style .x-top-filters-container .x-btn-icon.x-item-disabled {
    display: none;
}

.x-epic-style .x-top-filters-container{
    margin-left: 16px;
}

.x-oneValue-filter-field .x-form-field,
#contentContainer .x-top-filters-container .x-form-item input.x-form-text,
#contentContainer .x-top-filters-container .date-filter-btn {
    height: 20px !important;
    line-height: 20px !important;
}



#contentContainer .x-toolbar-tabs .x-panel-buttons .x-btn.x-main-create-button button {
    height: 32px !important;
}

.x-top-filters-container{
    width: calc(100% - 150px) !important;
}

.x-simple-style #contentContainer .x-small-editor .x-form-text.x-tbar-page-number,
.x-simple-style #contentContainer #action .x-htoolbar .x-toolbar-cell .xtb-text.x-paging-after-test-item,
.x-simple-style #contentContainer #workflow .x-htoolbar .x-toolbar-cell .xtb-text.x-paging-after-test-item,
.x-simple-style #contentContainer .x-invoice-preview .x-htoolbar .x-toolbar-cell .xtb-text.x-paging-after-test-item,
.x-simple-style #contentContainer .x-details-panel .x-htoolbar .x-toolbar-cell .xtb-text.x-paging-after-test-item,
.x-simple-style #contentContainer .x-grid-panel .x-htoolbar .x-toolbar-cell .xtb-text.x-paging-after-test-item,
.x-simple-style #contentContainer .informationboardpanel .x-htoolbar .x-toolbar-cell .xtb-text.x-paging-after-test-item,
.x-simple-style #contentContainer .timelineview .x-htoolbar .x-toolbar-cell .xtb-text.x-paging-after-test-item,
.x-simple-style #contentContainer .changelog .x-htoolbar .x-toolbar-cell .xtb-text.x-paging-after-test-item {
    margin-top: 12px;
    height: 22px !important;
    line-height: 22px !important;
    font-size: 14px !important;
    font-weight: 600 !important;
    color: var(--color-gray-60) !important;
    border-radius: 4px;
}

.x-tbar-page-number{
    text-align: center !important;
}

.x-simple-style #contentContainer .x-grid-panel .x-htoolbar .x-toolbar-cell .xtb-text.x-paging-after-test-item{
    margin-top: 12px;
}

.x-panel:not(.x-details-panel):not(.x-invoice-preview):not(#workflow) .x-paging-group{
    position: absolute;
    top:61px;
    right: 16px;
}
.x-paging-group .x-btn-icon .x-btn-small .x-btn-text{
    background-position: 5px 4px !important;
    background-size: auto !important;
}
.xx-grid3-page-prev .x-tbar-page-prev,
.x-item-disabled .x-tbar-page-prev,
.x-tbar-page-prev{
    background-image: url(images/content/back.svg) !important;
    background-position: center left !important;
}
.xx-grid3-page-next .x-tbar-page-next,
.x-item-disabled .x-tbar-page-next,
.x-tbar-page-next{
    background-image: url(images/content/forward.svg) !important;
    background-position: center right !important;
}
.x-item-disabled .x-tbar-page-prev,
.x-item-disabled .x-tbar-page-next{
    opacity: 0.2;
}
.x-paging-group .x-btn-icon .x-btn-small .x-btn-text {
    width: 16px;
    height: 16px;
}
.x-avant #contentContainer .x-toolbar .x-btn.x-paging-button {
    border-radius: 20px;
    border: 1px solid var(--color-gray-10);
    background-color: white !important;
    width: 24px !important;
    height: 24px !important;
    padding:1px;
    margin-left: 4px !important;
    margin-top: 5px !important;
}
.x-avant #contentContainer .x-toolbar .x-btn.x-paging-button:not(.x-item-disabled):hover {
    border: 1px solid var(--color-blue-40);
    background-color: white !important;
}
.ext-strict .x-simple-style .x-small-editor .x-form-text.x-tbar-page-number{
    border: 1px solid var(--color-gray-10);
    border-radius: 4px;
    height: 22px !important;
}



thead td.x-grid3-hd-over{
    filter: none
}

.x-grid3-hd-over .xg3si{
    background-image: url(images/content/sort-up.svg) !important;
    background-position: center !important;
    opacity: 0.4;
}
.x-grid-panel .sort-asc .xg3si{
    background-image: url(images/content/sort-up.svg) !important;
    background-position: center !important;
    opacity: 1;
}
.x-grid-panel .sort-desc .xg3si{
    background-image: url(images/content/sort-down.svg) !important;
    background-position: center !important;
    opacity: 1;
}


.edit-icon, .ext-ie6 .x-grid3-cell-selected .xg3ceb,
.x-grid3-cell-selected .xg3ceb,
.xg3c:hover .xg3ceb,
.xg3c .xg3ceb:hover,
.xx-form-field:hover .xx-form-field-editor,
.x-tip-with-editor:hover .xx-form-field-editor,
.xx-form-field .xx-form-field-editor:hover,
.x-tip-with-editor .xx-form-field-editor:hover,
.ext-ie6 .xx-form-field .xx-form-field-editor,
.ie6-fix .button-edit-current-description,
.button-edit-current-description,
.currentDescriptionHover,
.button-edit-current-description:hover,
.breadcrumb-empty .xx-form-field-editor{
    background-image: url(images/content/edit-black.svg) !important;
    background-repeat: no-repeat !important;
    opacity: 1;
    background-position: center;
}
.xg3c:hover .xg3ceb {
    background-position: center;
    opacity: 0.4;
}
.xg3c:hover .xg3ceb:hover {
    opacity: 1;
}
.xg3c:hover .xg3cnb {
    background-image: url(images/lock.svg) !important;
    background-repeat: no-repeat;
    background-position: 4px 1px;
    background-size: 14px !important;
    cursor: default;
    opacity: 0.3;
}
.xg3c .xg3cnb:hover{
    opacity: 0.6;
    cursor: not-allowed;
}

.xg3c:hover .xg3ceb.combo-icon-editor-class,
.xg3c .xg3ceb.combo-icon-editor-class:hover,
.xx-form-field:hover .xx-form-field-editor.combo-icon-editor-class,
.x-tip-with-editor:hover .xx-form-field-editor.combo-icon-editor-class,
.xx-form-field .xx-form-field-editor.combo-icon-editor-class:hover,
.x-tip-with-editor .xx-form-field-editor.combo-icon-editor-class:hover,
.ext-ie6 .xx-form-field .xx-form-field-editor.combo-icon-editor-class{
    background-image: url(images/content/dropdown-black.svg) !important;
    background-repeat: no-repeat !important;

}

.x-form-item:hover .x-form-field-wrap .x-form-date-trigger,
.x-form-field-wrap .x-form-date-trigger,
.calendar-icon, .xg3c:hover .xg3ceb.calendar-icon-editor-class,
.xg3c .xg3ceb.calendar-icon-editor-class:hover,
.xx-form-field:hover .xx-form-field-editor.calendar-icon-editor-class,
.x-tip-with-editor:hover .xx-form-field-editor.calendar-icon-editor-class,
.xx-form-field .xx-form-field-editor.calendar-icon-editor-class:hover,
.x-tip-with-editor .xx-form-field-editor.calendar-icon-editor-class:hover,
.ext-ie6 .xx-form-field .xx-form-field-editor.calendar-icon-editor-class{
    background-image: url(images/content/calendar-black.svg) !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
}

.x-window .x-grid-panel .x-grid-editor .x-form-field-wrap .x-form-trigger.x-form-spinner-trigger,
.x-window .x-grid-panel .x-grid-editor .x-form-field-wrap .x-form-trigger.x-form-arrow-trigger{
    background-position: 2px 9px !important;
}

.x-grid-panel .x-grid-editor .x-form-field-wrap .x-form-trigger.x-form-spinner-trigger,
.x-grid-panel .x-grid-editor .x-form-field-wrap .x-form-trigger.x-form-arrow-trigger{
    background-position: 2px -2px !important;
}
.xg3c:hover .xg3ceb.combo-icon-editor-class,
.xg3c .xg3ceb.combo-icon-editor-class:hover,
.xg3ceb, .xg3cnb {
    top: 9px;
}
#fn\.common\.columnwindow .x-form-cb-label{
    font-weight: 400;
}

.x-grid3-remove-xcol{
    background-image: url(images/content/close-black.svg) !important;
    background-position: center !important;
    opacity: 0.5;
}
.x-grid3-row .x-grid3-remove-xcol:hover{
    background-position: center !important;
    opacity: 1;
}

.x-coloured-status .xg3ci{
    min-height: auto;
}

.forwardedMailIcon,
.repliedMailIcon,
.x-grid3 .error-icon,
.x-grid3 .warning-icon {
    background-position: 0px 2px !important;
    opacity: 0.8;
    position: relative;
}

.x-grid3-cell-overflowed .forwardedMailIcon,
.x-grid3-cell-overflowed .repliedMailIcon,
.x-grid3-cell-overflowed .x-grid3 .error-icon,
.x-grid3-cell-overflowed .x-grid3 .warning-icon {
    background-position: 0px 1px !important;
}

.forwardedMailIcon,
.repliedMailIcon{
    background-image: url(images/mail.svg) !important;

}

.forwardedMailIcon:after,
.repliedMailIcon::after{
    content: '';
    position: absolute;
    display: block;
    bottom: -2px;
    right: 0px;
    width: 12px;
    height: 10px;
    border-radius: 4px;
    background-image: url(images/reply-bold.svg);
    background-repeat: no-repeat;
    background-position: 1px -1px !important;
    background-size: 10px;
    background-color: var(--color-white);
}

.x-grid3 .x-grid3-row.read .forwardedMailIcon:after,
.x-grid3 .x-grid3-row.read .repliedMailIcon:after{
    background-color: rgb(247, 249, 253);
}

.forwardedMailIcon:after{
    background-image: url(images/forward-bold.svg);
}

.x-grid3-cell-overflowed .forwardedMailIcon:after,
.x-grid3-cell-overflowed .repliedMailIcon::after{
    bottom: -4px;
}